Package com.independentsoft.office.word.sections

# Enum Class SectionType

java.lang.Object
java.lang.Enum<SectionType>
com.independentsoft.office.word.sections.SectionType

All Implemented Interfaces:
  `Serializable`, `Comparable<SectionType>`, `Constable`

public enum SectionType extends Enum<SectionType>
The Enum SectionType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTINUOUS`
  `EVEN_PAGE`
  `NEXT_COLUMN`
  `NEXT_PAGE`
  `NONE`
  `ODD_PAGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SectionType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SectionType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTINUOUS

    public static final SectionType CONTINUOUS

  - ### EVEN_PAGE

    public static final SectionType EVEN_PAGE

  - ### NEXT_COLUMN

    public static final SectionType NEXT_COLUMN

  - ### NEXT_PAGE

    public static final SectionType NEXT_PAGE

  - ### ODD_PAGE

    public static final SectionType ODD_PAGE

  - ### NONE

    public static final SectionType NONE

- ## Method Details

  - ### values

    public static SectionType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SectionType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null